# splash.py

from pygame.locals import *
import framework, pygame

LEFT, RIGHT = 0, 1

class Splash:
	def init(self):
		self.splImg = framework.loadImage("splash.jpg", False)
		self.done = False
		framework.loadAndPlayMusic("intro_sound.ogg")
		self.font = pygame.font.SysFont("arial", 48)
		self.textSurf = framework.drawTextOnSurf(self.font, "It's time for revenge!", framework.white)
		self.textPos = [-self.textSurf.get_width() , self.splImg.get_height() - 100]
		self.textMovSpeed = 4
		self.movDir = RIGHT
		
	def input(self):
		self.done = framework.keyPressed(K_ESCAPE) or \
			framework.keyPressed(K_RETURN)
	
	def update(self):
		if self.movDir == LEFT:
			self.textPos[0] -= self.textMovSpeed
		else:
			self.textPos[0] += self.textMovSpeed
		
		if self.textPos[0] + self.textSurf.get_width() > framework.screen.get_width():
			self.movDir = LEFT
		elif self.textPos[0] < 0:
			self.movDir = RIGHT
	
	def draw(self):
		framework.draw(self.splImg)
		framework.draw(self.textSurf, self.textPos[0], self.textPos[1])
